Issue 34106 - Fit text to frame
Summary: Fit text to frame
Status: CONFIRMED
Alias: None
Product: Impress
Classification: Application
Component: formatting (show other issues)
Version: OOo 1.1.2
Hardware: All All
: P3 Trivial with 4 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-13 11:51 UTC by lumbercartel
Modified: 2013-02-07 22:41 UTC (History)
5 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Text in the title box causes the frame to overflow the slide (83.67 KB, image/jpeg)
2012-11-04 08:54 UTC, ppesala
no flags Details
Large amount Text in the content box causes frame to overflow (159.31 KB, image/jpeg)
2012-11-04 09:02 UTC, ppesala
no flags Details
Title frame overflow when 'fit text to frame' selected (71.30 KB, image/jpeg)
2012-11-04 09:09 UTC, ppesala
no flags Details
Autofit feature on Powerpoint (49.04 KB, image/jpeg)
2012-11-04 09:14 UTC, ppesala
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description lumbercartel 2004-09-13 11:51:45 UTC
Powerpoint has a standard feature of automatically reducing fonts to fit text
within a frame.  Besides being useful, when PP users take advantage of this the
result is a presentation that will not render in Impress.
At present this is one of the larger obstacles to the use of OO.o in
organizations I work with.
Comment 1 wolframgarten 2004-09-13 12:01:28 UTC
Reassigned to Bettina.
Comment 2 gutu 2004-10-11 17:12:53 UTC
I confirm, this is a big problem even in very simple powerpoint interoperability 
as all modern Office installations has this feature enabled by default. When 
presentations are saved in Openoffice impress and opened in Powerpoint the text 
boxes with bullet points are way too big.

To enable/disable this feature in Microsoft Powerpoint

1. Click the Tools menu and select "Options..." from the menu that appears. 

2. Click the Edit tab. 

3. (Un)check the "Auto-fit text to text placeholder". 

4. Click OK.
Comment 3 ace_dent 2008-05-16 02:13:53 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 bettina.haberer 2010-05-21 15:03:18 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements". 
Comment 5 Sneha Pankaj 2011-09-30 01:02:23 UTC
Title - Impress unable to fit text to frame.

Description - When typing text in a text box, the user would expect auto-reduction of the size of the text in order to avoid overflowing text. In Impress, when a large chunk of text is typed (or pasted) in a text box, the size of the text box increases which leads to the falling out of the slide. Microsoft's PowerPoint seems to handle this well and is more user-friendly in terms of this issue.

Version number - Developer Snapshot DEV300m106(OOo-Dev 3.x) for Windows

Reproduction Steps -
1. Open a new Presentation in OpenOffice.
2. In the text box, type a lot of text. Or you could paste this 4 times - "Peter Piper picked a peck of pickled peppers. A peck of pickled peppers Peter Piper picked. If Peter Piper picked a peck of pickled peppers, where's the peck of pickled peppers Peter Piper picked?"
3. The text box re-sizes itself to a larger size but font size remains the same (32 by default). You will notice that the text is overflowing out of the slide.
4. This will also be reflected in a slide show as only the text that actually fits on the slide is seen.
5. The only way around it is the select all text and and manually decrease the font size. However, PowerPoint does this automatically and so fixing this issue is imperative in enhancing user- experience.
Comment 6 ppesala 2012-11-04 08:49:19 UTC
I believe that this bug should be categorized as a new feature request rather than a simple enhancement. I came up with this conclusion after reproducing the bug and other follow-up testing. A whole new feature is missing in Open Office Impress, when compared to the market leader PowerPoint and it is more than a simple user interface or user experience problem. 

I replicated the problem as reported with the current version of Open Office- Impress on Windows 7 Home premium (64 bit)  

Open Office 3.4.1 AOO341m1(build9593)- Rev.1372282

Although this problem has been reports several years ago, the issue remains a problem in the current version of the product.
 

Following are the replication steps for the bug to be reproduced.

1. Open the OpenOffice Impress software.
2. Open a new presentation with a blank slide
3. Pick the ‘ title,content ‘ slide layout on the right side
4. In either of the boxes  on the blank slide, type a large amount of text to fill the entire box and keep typing until the frame of the box becomes larger and larger and outgrows the slide.
5. You will notice that text box and text within the box are spilled out of the slide altogether.
6. When you play the slideshow, you will notice that not all of the text entered is visible.

As expected, I was not able to replicate the issue on MS PowerPoint software. Powerpoint adjusts the font size accordingly so that text stays within the box and the box doesn't spill out of the slide.
 
Follow­Up Tests
After the followup tests, I am convinced that whole new feature of Autofit of text is missing on Impress. 
 
1. I tried the same steps as above , but using different layouts of blank slides, e.g. title , title+contents etc. to determine if style of the layout makes any difference. Same problem has been observed.
2.I tried entering the large text into other frames like title box, subtitle box etc. Same problem has been observed.
3. I tried the same steps but changed the text setting on the text formatting menu to ‘Fit text to frame’. Only the frame got elongated horizontally, but spilled out side the slide anyway.

Please see the Screen shots attached.
Comment 7 ppesala 2012-11-04 08:54:12 UTC
Created attachment 79855 [details]
Text in the title box causes the frame to overflow the slide
Comment 8 ppesala 2012-11-04 09:02:47 UTC
Created attachment 79856 [details]
Large amount Text in the content box causes frame to overflow
Comment 9 ppesala 2012-11-04 09:09:39 UTC
Created attachment 79857 [details]
Title frame overflow when 'fit text to frame' selected

Selecting the checkbox 'Fit to frame' on Text format menu ,  title box height is reduced to one line , but the frame got stretched horizontally and overflows out of the slide.
Comment 10 ppesala 2012-11-04 09:14:52 UTC
Created attachment 79858 [details]
Autofit feature on Powerpoint

As you can see in the picture, PowerPoint provides the feature of Text Autofit with several options. Default option is to automatically shrink the text to fit in the frame and the frame doesn't spill out of the slide.
Comment 11 Armin Le Grand 2012-11-09 17:05:07 UTC
ALG: Adding me to CC
Comment 12 Armin Le Grand 2012-11-16 09:56:15 UTC
ALG: Yes, PPT has three options how to adapt text/object when one of both changes it's size. AOO is missing the 'Adapt text to object size' one, also a problem when importing PPT...
Comment 13 JZA 2012-11-28 15:27:46 UTC
Should this bug be labeled as confirmed yet?
Comment 14 Olaf Felka 2012-12-04 07:28:11 UTC
enhancement = confirmed
Unconfirmed for enhancement makes no sense.